Name:           latencytop
Version:        0.3
Release:        5%{?dist}
Summary:        System latency monitor

Group:          Applications/System
License:        GPLv2
URL:            http://www.latencytop.org/
Source0:        http://www.latencytop.org/download/%{name}-%{version}.tar.gz
Patch0:         %{name}-standard-cflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel glib2-devel

%description
LatencyTOP is a tool for software developers (both kernel and userspace), aimed
at identifying where in the system latency is happening, and what kind of
operation/action is causing the latency to happen so that the code can be
changed to avoid the worst latency hiccups. 

%prep
%setup -q
%patch -p1

# Don't look for the translation table in the current directory,
# it will be installed under /usr/share/latencytop.
# First make sure the string is there:
grep 'init_translations("latencytop.trans");' latencytop.c > /dev/null
# OK, replace it:
sed -i -e 's#init_translations("latencytop.trans");#init_translations("%{_datadir}/%{name}/latencytop.trans");#' latencytop.c

%build
export CFLAGS="${CFLAGS:-%{optflags}}"
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
install -D -p -m 755 latencytop %{buildroot}/%{_bindir}/latencytop
install -D -p -m 644 latencytop.trans %{buildroot}/%{_datadir}/%{name}/latencytop.trans


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
#%doc 
%{_bindir}/latencytop
%{_datadir}/%{name}


%changelog
* Wed Feb 20 2008 Michal Schmidt <mschmidt@redhat.com> - 0.3-5
- Own the data directory.

* Tue Feb  5 2008 Michal Schmidt <mschmidt@redhat.com> - 0.3-4
- Package the translation table too and modify latencytop.c to look for it in
  the correct directory.
 
* Mon Feb  4 2008 Michal Schmidt <mschmidt@redhat.com> - 0.3-3
- Dropped the whitespace-changing hunk from latencytop-standard-cflags.patch.

* Fri Feb  1 2008 Michal Schmidt <mschmidt@redhat.com> - 0.3-2
- From review comments - removed whitespace in latencytop-standard-cflags.patch

* Thu Jan 31 2008 Michal Schmidt <mschmidt@redhat.com> - 0.3-1
- Initial package for Fedora.
